<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
</head>

<body>
	<div id="error"></div>
	<ul id="list"></ul>
	<script>
		function showNotes() {
			fetch("http://localhost:3000/notes")
				.then(response => response.json())
				.then(data => {

					if (data.length > 0) {
						document.getElementById("error").innerHTML = "";
						let html = "";
						data.forEach(item => html += `<li>${item}</li>`)
						document.getElementById("list").innerHTML = html;
						return;
					}
					document.getElementById("error").innerHTML = "Nothing to show";
				})
				.catch(error => {
					document.getElementById("error").innerHTML = "ERROR"
				});
		}
		showNotes();
	</script>
</body>

</html>